Name:           sylfilter
Version:        0.8
Release:        1%{?dist}
Summary:        Message filter library tools

License:        BSD
URL:            http://sylpheed.sraoss.jp/sylfilter/
Source0:        http://sylpheed.sraoss.jp/sylfilter/src/%{name}-%{version}.tar.gz

BuildRequires:  glib2-devel
BuildRequires:  sqlite-devel
BuildRequires:  sylpheed-devel


%description
SylFilter is a generic message filter library and command-line tools. SylFilter
provides a bayesian filter which is very popular as an algorithm for spam
filtering. SylFilter also supports multilingual and can be applied to any
languages. SylFilter is implemented with C language and runs fast with small
resources.

SylFilter library provides simple but powerful C APIs and can be used from
C programs. Library users can create arbitrary combination of provided filters
and/or original custom ones.

SylFilter command-line tool can be used as a junk filter program like major
tools such as bogofilter, bsfilter etc.

SylFilter already can be applied for actual use, though still in its
development stage. Learning data of the older versions might be unavailable
in the future version because of its changes.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --with-libsylph=sylpheed --with-libsylph-dir=/usr --disable-static
# kill rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}
%{_libdir}/lib%{name}.so.*

%files devel
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so


%changelog
* Fri Nov 15 2013 Dan Horák <dan[at]danny.cz> - 0.8-1
- initial Fedora version
